newReference(qmm.Impact, "aspect", qmm.Aspect, 1, 1, false, null)
activityIdAttribute = qmm.Impact.activityId
activityIdAttribute.delete()

getAspect = { model, activityId ->
	def path = activityId.substring(1).split("/")
	for(segment in path) {
		model = model.aspect.find{aspect -> aspect.id.equals(segment)}
	}
	return model
}

for(impact in qmm.Impact.instances) {
	def activityId = impact.unset(activityIdAttribute)
	def model = impact.resource.rootInstances[0]
	impact.aspect = getAspect(model, activityId)
}