nEGATIVEEnumLiteral = qm.Effect.NEGATIVE
eAnnotation = nEGATIVEEnumLiteral.newEAnnotation()
eAnnotation.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry = eAnnotation.newEStringToStringMapEntry()
eStringToStringMapEntry.key = "documentation"
eStringToStringMapEntry.value = "Negative effect"
effectEnum = qm.Effect
eAnnotation2 = effectEnum.newEAnnotation()
eAnnotation2.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry2 = eAnnotation2.newEStringToStringMapEntry()
eStringToStringMapEntry2.key = "documentation"
eStringToStringMapEntry2.value = "An effect is a qualitative measure for the impact of a fact on a quality aspect."
evaluationReference = qm.Fact.evaluation
eAnnotation3 = evaluationReference.newEAnnotation()
eAnnotation3.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry3 = eAnnotation3.newEStringToStringMapEntry()
eStringToStringMapEntry3.key = "documentation"
eStringToStringMapEntry3.value = "The evaluation of this fact"
categoryReference = qm.CategoryScale.category
eAnnotation4 = categoryReference.newEAnnotation()
eAnnotation4.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry4 = eAnnotation4.newEStringToStringMapEntry()
eStringToStringMapEntry4.key = "documentation"
eStringToStringMapEntry4.value = "The categories of this scale"
specificationAttribute = qm.Evaluation.specification
eAnnotation5 = specificationAttribute.newEAnnotation()
eAnnotation5.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry5 = eAnnotation5.newEStringToStringMapEntry()
eStringToStringMapEntry5.key = "documentation"
eStringToStringMapEntry5.value = "The specification of this evaluation"
scaleReference = qm.ScaleList.scale
eAnnotation6 = scaleReference.newEAnnotation()
eAnnotation6.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry6 = eAnnotation6.newEStringToStringMapEntry()
eStringToStringMapEntry6.key = "documentation"
eStringToStringMapEntry6.value = "The list of scales"
valueAttribute = qm.Category.value
eAnnotation7 = valueAttribute.newEAnnotation()
eAnnotation7.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry7 = eAnnotation7.newEStringToStringMapEntry()
eStringToStringMapEntry7.key = "documentation"
eStringToStringMapEntry7.value = "Discrete value which is associated to the category"
scaleClass = qm.Scale
eAnnotation8 = scaleClass.newEAnnotation()
eAnnotation8.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry8 = eAnnotation8.newEStringToStringMapEntry()
eStringToStringMapEntry8.key = "documentation"
eStringToStringMapEntry8.value = "A scale denotes a set of values with defined properties. A scale must\r\ndefine a unique name among all scales of the quality model."
scaleListReference = qm.Quality.scaleList
eAnnotation9 = scaleListReference.newEAnnotation()
eAnnotation9.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry9 = eAnnotation9.newEStringToStringMapEntry()
eStringToStringMapEntry9.key = "documentation"
eStringToStringMapEntry9.value = "The list of scales used in this quality model"
categoryClass = qm.Category
eAnnotation10 = categoryClass.newEAnnotation()
eAnnotation10.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry10 = eAnnotation10.newEStringToStringMapEntry()
eStringToStringMapEntry10.key = "documentation"
eStringToStringMapEntry10.value = "A category defines a certain possible value of a category scale."
categoryScaleClass = qm.CategoryScale
eAnnotation11 = categoryScaleClass.newEAnnotation()
eAnnotation11.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry11 = eAnnotation11.newEStringToStringMapEntry()
eStringToStringMapEntry11.key = "documentation"
eStringToStringMapEntry11.value = "A category scale provides a finite number of categories. A category\r\nscale must at least define two categories."
measureClass = qm.Measure
eAnnotation12 = measureClass.newEAnnotation()
eAnnotation12.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry12 = eAnnotation12.newEStringToStringMapEntry()
eStringToStringMapEntry12.key = "documentation"
eStringToStringMapEntry12.value = "A measure defines a metric to measure a fact by means of a certain scale.\r\nA measure should have a unique name among all measures of a fact."
scaleListClass = qm.ScaleList
eAnnotation13 = scaleListClass.newEAnnotation()
eAnnotation13.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry13 = eAnnotation13.newEStringToStringMapEntry()
eStringToStringMapEntry13.key = "documentation"
eStringToStringMapEntry13.value = "The scale list provides a number of scales. These scales can be used to\r\ndefine the value sets for measures and evaluations."
evaluationClass = qm.Evaluation
eAnnotation14 = evaluationClass.newEAnnotation()
eAnnotation14.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry14 = eAnnotation14.newEStringToStringMapEntry()
eStringToStringMapEntry14.key = "documentation"
eStringToStringMapEntry14.value = "An evaluation quantifies an attribute for a certain entity based on a\r\nscale. The evaluation has a specification which defines the instruction\r\nof how to evaluate the fact. The specification has access to the\r\nmeasures defined for the fact as well as the evaluation of facts\r\nof sub entities."
valueScaleClass = qm.ValueScale
eAnnotation15 = valueScaleClass.newEAnnotation()
eAnnotation15.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry15 = eAnnotation15.newEStringToStringMapEntry()
eStringToStringMapEntry15.key = "documentation"
eStringToStringMapEntry15.value = "A value scale provides a set of discrete or continuous numbers."
scaleReference2 = qm.Measure.scale
eAnnotation16 = scaleReference2.newEAnnotation()
eAnnotation16.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry16 = eAnnotation16.newEStringToStringMapEntry()
eStringToStringMapEntry16.key = "documentation"
eStringToStringMapEntry16.value = "The scale used by this measure"
measureReference = qm.Fact.measure
eAnnotation17 = measureReference.newEAnnotation()
eAnnotation17.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry17 = eAnnotation17.newEStringToStringMapEntry()
eStringToStringMapEntry17.key = "documentation"
eStringToStringMapEntry17.value = "The measures of this fact"
continuousAttribute = qm.ValueScale.continuous
eAnnotation18 = continuousAttribute.newEAnnotation()
eAnnotation18.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry18 = eAnnotation18.newEStringToStringMapEntry()
eStringToStringMapEntry18.key = "documentation"
eStringToStringMapEntry18.value = "Whether the set of numbers is discrete (false) or continuous (true)"
scaleReference3 = qm.Evaluation.scale
eAnnotation19 = scaleReference3.newEAnnotation()
eAnnotation19.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry19 = eAnnotation19.newEStringToStringMapEntry()
eStringToStringMapEntry19.key = "documentation"
eStringToStringMapEntry19.value = "The scale used by this evaluation"
pOSITIVEEnumLiteral = qm.Effect.POSITIVE
eAnnotation20 = pOSITIVEEnumLiteral.newEAnnotation()
eAnnotation20.source = "http://www.eclipse.org/emf/2002/GenModel"
eStringToStringMapEntry20 = eAnnotation20.newEStringToStringMapEntry()
eStringToStringMapEntry20.key = "documentation"
eStringToStringMapEntry20.value = "Positive effect"
eStringToStringMapEntry21 = qm.Quality.aspectHierarchy.eAnnotations[0].details[0]
eStringToStringMapEntry21.value = "The aspect hierarchy defined by this quality model"
eStringToStringMapEntry22 = qm.DescribedElement.eAnnotations[0].details[0]
eStringToStringMapEntry22.value = "A commented element is a model element that can have a description."
eStringToStringMapEntry23 = qm.Quality.eAnnotations[0].details[0]
eStringToStringMapEntry23.value = "A quality model is a model with the objective to describe and assess\r\nquality. A quality model consists of a hierarchy of entities, a list of\r\nattributes, a hierarchy of quality aspects, and a list of scales."
eStringToStringMapEntry24 = qm.DescribedElement.description.eAnnotations[0].details[0]
eStringToStringMapEntry24.value = "The description of this element"
eStringToStringMapEntry25 = qm.AspectHierarchy.aspect.eAnnotations[0].details[0]
eStringToStringMapEntry25.value = "The root quality aspects of this aspect hierarchy"
eStringToStringMapEntry26 = qm.Aspect.part.eAnnotations[0].details[0]
eStringToStringMapEntry26.value = "The sub aspects of this quality aspect"
eStringToStringMapEntry27 = qm.Impact.eAnnotations[0].details[0]
eStringToStringMapEntry27.value = "An impact defines an effect of a fact on a quality aspect. The effect can\r\nbe either positive or negative."
eStringToStringMapEntry28 = qm.Entity.eAnnotations[0].details[0]
eStringToStringMapEntry28.value = "An entity is a part of the product that is being developed. An entity can\r\nbe further described by a number of attributes by means of facts. An\r\nentity can be decomposed into sub entities by a part-of relationship."
eStringToStringMapEntry29 = qm.Fact.impact.eAnnotations[0].details[0]
eStringToStringMapEntry29.value = "The impacts of this fact on quality aspects"
eStringToStringMapEntry30 = qm.Aspect.composite.eAnnotations[0].details[0]
eStringToStringMapEntry30.value = "The aspect of which this quality aspect is a part"
eStringToStringMapEntry31 = qm.EntityHierarchy.entity.eAnnotations[0].details[0]
eStringToStringMapEntry31.value = "The root entity of this entity hierarchy"
eStringToStringMapEntry32 = qm.Quality.attributeList.eAnnotations[0].details[0]
eStringToStringMapEntry32.value = "The list of attributes used in this quality model"
eStringToStringMapEntry33 = qm.Quality.entityHierarchy.eAnnotations[0].details[0]
eStringToStringMapEntry33.value = "The entity hierarchy defined by this quality model"
eStringToStringMapEntry34 = qm.Impact.aspect.eAnnotations[0].details[0]
eStringToStringMapEntry34.value = "The quality aspect on which this impact has effect"
eStringToStringMapEntry35 = qm.AttributeList.eAnnotations[0].details[0]
eStringToStringMapEntry35.value = "The attribute list provides a number of attributes. These attributes can\r\nbe associated to the entities to define facts."
eStringToStringMapEntry36 = qm.AspectHierarchy.eAnnotations[0].details[0]
eStringToStringMapEntry36.value = "The aspect hierarchy provides a decomposition of quality aspects.\r\nThis hierarchy can have a number of root quality aspects."
eStringToStringMapEntry37 = qm.Aspect.impact.eAnnotations[0].details[0]
eStringToStringMapEntry37.value = "All impacts on this quality aspect"
eStringToStringMapEntry38 = qm.Fact.eAnnotations[0].details[0]
eStringToStringMapEntry38.value = "A fact associates an attribute to an entity. The fact can have impact\r\non a number of quality aspects. The fact can be quantified by a number\r\nof measures. The fact needs to provide an evaluation based on the\r\nmeasures and the evaluation of facts of sub entities, which quantifies\r\nthe attribute for the entity."
eStringToStringMapEntry39 = qm.Aspect.eAnnotations[0].details[0]
eStringToStringMapEntry39.value = "An aspect describes a quality focus that is addressed by the quality\r\nmodel. A quality aspect can be decomposed into sub aspects resulting\r\nin the aspect hierarchy. A quality aspect must have a unique name among\r\nthe quality aspects on the same level of the hierarchy."
