commentedElementClass = qm.CommentedElement
descriptionAttribute = qm.Comment.description
commentedElementClass.eStructuralFeatures.add(descriptionAttribute)

defaultPackage = qm

for(element in CommentedElement.allInstances) {
	def comment = element.comment.find{c -> c.language == "ENGLISH"}
	if(comment == null || comment.get(descriptionAttribute) == null) {
		comment = element.comment.find{c -> c.language == "GERMAN"}
	}
	if(comment != null) {
		element.description = comment.get(descriptionAttribute)
	}
}

deleteFeature(qm.CommentedElement.comment)
deleteClass(qm.Comment)